# $Revision: 1.104 $, $Date: 2003/08/24 20:31:29 $
#
# Conditional build:
#  --with static	-
#  --without nls	- 
#  --without readline	-
#  --with uClibc	- add somewhat nasty uClibc patch, that shouldn't
#			cause problems, but who knows...
#
Summary:	Flexible partitioning tool
Summary(es):	Herramienta de particionamiento flexible
Summary(pl):	GNU Parted - narzdzie do zarzdzania partycjami na dyskach
Summary(pt_BR):	Ferramenta flexvel de particionamento
Summary(ru):	 GNU   
Summary(uk):	 GNU Φæ  Ħ
Name:		parted
Version:	1.6.6
Release:	1
License:	GPL
Group:		Applications/System
Vendor:		Andrew Clausen <clausen@gnu.org>
Source0:	ftp://ftp.gnu.org/gnu/parted/%{name}-%{version}.tar.gz
# Source0-md5:	563ab3855124c2ed706ea71eb8e47cf5
Patch0:		%{name}-BOOT.patch
Patch1:		%{name}-no_wrap.patch
Patch2:		%{name}-BIG_FAT_WARNING.patch
Patch3:		%{name}-uClibc.patch
Patch5:		%{name}-info.patch
URL:		http://www.gnu.org/software/parted/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	e2fsprogs-devel
%{?_with_static:BuildRequires:	e2fsprogs-static}
BuildRequires:	gcc-c++
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	texinfo >= 4.2
%{!?_without_readline:BuildRequires:	ncurses-devel >= 5.2}
%{!?_without_readline:BuildRequires:	readline-devel >= 4.2}
Requires(post,postun):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU Parted is a program that allows you to create, destroy, resize,
move and copy hard disk partitions. This is useful for creating space
for new operating systems, reorganising disk usage, and copying data
to new hard disks.

%description -l es
GNU Parted es un programa que permite crear, destruir, redimensionar,
mover y copiar particiones de discos duros. Es til para crear espacio
para nuevos sistemas operacionales, reorganizar el uso del disco, y
copiar datos para nuevos discos duros.

%description -l pl
GNU Parted jest programem ktry umoliwia tworzenie, usuwanie, zmian
rozmiaru, przesuwanie i kopiowanie partycji na dyskach. Moe by
uyteczny przy tworzeniu partycji pod nowy system jak i przy
reorganizacji sposobu wykorzystywania dyskw, a take ich kopiowaniu.

%description -l pt_BR
O GNU Parted  um programa que permite criar, destruir, redimensionar,
mover e copiar parties de discos rgidos.  til para criar espao
para novos sistemas operacionais, reorganizar o uso do disco, e copiar
dados para novos discos rgidos.

%description -l ru
GNU Parted -  ,   , , 
,       .  
       ,
        .

%description -l uk
GNU Parted -  ,  Ѥ  , ,
ͦ ͦ, ͦ  Ц Ħ  
.     ͦ  ͦ 
æ , Φæ    Ц
  צ .

%package devel
Summary:	Files required to compile software that uses libparted
Summary(es):	Archivos de desarrollo para libparted
Summary(pl):	Pliki wymagane przy kompilacji programw uywajcych libparted
Summary(pt_BR):	Arquivos de desenvolvimento para a libparted
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	e2fsprogs-devel

%description devel
Files required to compile software that uses libparted.

%description devel -l es
Este paquete incluye los archivos de encabezamiento y bibliotecas
necesarios para ligar estticamente programas con libparted.

%description devel -l pl
Pliki wymagane przy kompilacji programw uywajcych libparted.

%description devel -l pt_BR
O GNU Parted  um programa que permite criar, destruir, redimensionar,
mover e copiar parties de discos rgidos.  til para criar espao
para novos sistemas operacionais, reorganizar o uso do disco, e copiar
dados para novos discos rgidos. Este pacote inclui os arquivos de
cabealho e bibliotecas necessrios para ligar estaticamente programas
com a libparted.

%package static
Summary:	Static libparted library
Summary(pl):	Biblioteka statyczna libparted
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libparted library.

%description static -l pl
Biblioteka statyczna libparted.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%{?_with_uClibc:%patch3 -p1}
%patch5 -p1

%build
rm -f missing
%{__libtoolize}
%{__gettextize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	%{?_without_readline:--without-readline} \
	%{!?_without_readline:--with-readline} \
	--without-included-gettext \
	%{?_without_nls:--disable-nls} \
	%{?_with_static:--without-pic} \
	%{?_with_static:--enable-all-static} \
	%{!?_with_static:--enable-shared}

%{?_without_nls:touch include/libintl.h}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	aclocaldir=%{_aclocaldir}

%{!?_without_nls:%find_lang %{name}}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files %{!?_without_nls:-f %{name}.lang}
%defattr(644,root,root,755)
%doc doc/{API,FAT,FAQ} AUTHORS BUGS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_sbindir}/*
%{!?_with_static:%attr(755,root,root) %{_libdir}/lib*.so.*.*}
%{_mandir}/man*/*
%lang(pt) %{_mandir}/pt_BR/man*/*
%{_infodir}/parted*

%files devel
%defattr(644,root,root,755)
%{_includedir}/parted
%{!?_with_static:%attr(755,root,root) %{_libdir}/lib*.so}
%{_libdir}/lib*.la
%{_aclocaldir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: parted.spec,v $
Revision 1.104  2003/08/24 20:31:29  blues
- release 1 (?)

Revision 1.103  2003/08/02 11:22:29  qboosh
- typos, updated info patch

Revision 1.102  2003/07/29 08:14:33  qboosh
- removed obsolete ah and gcc33-warnings patches

Revision 1.101  2003/07/28 18:09:39  adamg
- updated to 1.6.6
- patch5 (parted-ah.patch) and patch6 (parted-gcc33-warnings.patch) disabled.
  They are probably not needed, but someone please verify that.
- release 0.1

Revision 1.100  2003/06/14 21:44:13  arekm
- include only required info files

Revision 1.99  2003/05/28 13:00:13  malekith
- massive attack: source-md5

Revision 1.98  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.97  2003/05/22 22:50:01  malekith
- added br: gcc-c++; it's required by some ac fsckup

Revision 1.96  2003/05/22 22:48:29  malekith
- release 2; added gcc33-warnings.patch (can be now build with gcc 3.3)

Revision 1.95  2003/05/11 19:20:39  areq
- 1.6.5

Revision 1.94  2002/12/16 10:55:53  wiget
- updated to 1.6.4

Revision 1.93  2002/12/06 14:43:59  wiget
- spell fixes by Tomasz Wittner <wittt_ at poczta.onet.pl>

Revision 1.92  2002/11/30 23:00:24  juandon
- new %%doc

Revision 1.91  2002/11/28 14:45:32  wiget
- updated to 1.6.3

Revision 1.90  2002/11/25 14:17:49  ankry
- massive attack: no need for 755 for *.la

Revision 1.89  2002/10/09 13:14:42  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.88  2002/06/23 20:52:53  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.87  2002/06/23 20:32:33  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.86  2002/05/21 23:14:20  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.85  2002/05/13 14:03:17  kloczek
- updatesd to 1.6.1.

Revision 1.84  2002/05/08 17:39:57  kloczek
- updated to new stable version 1.6.0,
- merge translations from KSI,
- BuildRequires: texinfo >= 4.2,
- aded DESTDIR and info patches and removed obsoleted llseek patch.

Revision 1.83  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.82  2002/03/16 12:27:14  malekith
- typo

Revision 1.81  2002/03/15 14:38:14  malekith
- added --with uClibc bcond (adds some nast patch)
- now can be built with uClibc

Revision 1.80  2002/03/14 16:36:11  malekith
- dropped BOOT, added some bconds (for BOOT :)
- nfy

Revision 1.79  2002/02/23 04:17:26  kloczek
- adapterized.

Revision 1.78  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.77  2002/01/28 03:54:37  kloczek
- updated to 1.4.24 (mainly bugfixes backported from 1.6.x branch).

Revision 1.76  2002/01/18 02:14:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.75  2002/01/17 00:39:29  kloczek
- updated to 1.4.23 (new stable version).

Revision 1.74  2002/01/03 00:08:23  kloczek
- updated to 1.4.22 (bug fixes for ext2 and updated translations).

Revision 1.73  2001/12/14 11:39:40  malekith
- rel 2
- added patch to display warning about not waiting to exit to write
  partition table

Revision 1.72  2001/11/21 14:05:48  kloczek
- updated to 1.4.21.

Revision 1.71  2001/10/29 19:13:17  malekith
- added no_wrap patch
- rel 2

Revision 1.70  2001/10/16 20:40:05  kloczek
- updated to 1.4.20,
- spec adapterized and merged translations from CNV.

Revision 1.69  2001/10/04 12:38:39  malekith
- hopfully fixed problem with invalid seek etc.
- rel 2
- stbr, and rebuild bootdisks/iso *ASAP*

Revision 1.68  2001/09/28 14:03:32  areq
- update to 1.4.19, STBR

Revision 1.67  2001/09/13 18:23:50  kloczek
- s/rm -f missing/rm -f missing/

Revision 1.66  2001/09/12 11:50:56  malekith
- 1.4.18
- removed gpt patch (partially in sources, partially it was broken)

Revision 1.65  2001/08/21 12:06:49  malekith
- rel 3
- finally got BOOT version to work correctly (it was about CFLAGS, not
  using optimization breaks it :^< )
- removed lseek64 patch

Revision 1.64  2001/08/21 11:26:06  malekith
- use normal cflags for BOOT

Revision 1.63  2001/08/20 10:18:00  malekith
- removed -m386, wonder why -O0...

Revision 1.62  2001/08/18 11:40:44  malekith
- hopefully fixed problem with EINVAL dueing seek on /dev/hd* (lseek64 patch)
- rel 2

Revision 1.61  2001/07/19 18:26:58  kloczek
- updated to 1.4.16,
- updated gpt patch,
- removed obsoleted gpt-pmbralign patch.

Revision 1.60  2001/07/06 11:52:12  wiget
uncoment regeneration of am/ac/lt and require new autoconf

Revision 1.59  2001/06/29 11:41:34  kloczek
- comment ac/am/lt regenerattion an GPT patches (this need new autoconf).

Revision 1.58  2001/06/29 11:05:46  kloczek
- added patches with Intel EFI GPT support to GNU parted.

Revision 1.57  2001/06/29 10:57:50  wiget
improved BOOT.patch; release 3

Revision 1.56  2001/06/28 18:29:15  wiget
added BOOT.patch; release 2

Revision 1.55  2001/05/31 23:20:48  kloczek
- updated to 1.4.14.

Revision 1.54  2001/05/25 10:39:57  klakier
- 1.4.12 does not compile please fix it first,
  back to 1.4.11

Revision 1.51  2001/05/22 23:18:14  klakier
- added -m386 to BOOT

Revision 1.50  2001/05/17 13:55:30  misiek
revert latest change - it breaks configure

Revision 1.49  2001/05/17 11:59:03  misiek
regenerate autostuff

Revision 1.48  2001/04/17 18:22:26  klakier
- added BOOT package

Revision 1.47  2001/04/12 23:46:20  kloczek
- release 2: rebuild against readline 4.2.

Revision 1.46  2001/04/09 15:21:29  kloczek
- updatadet do 1.4.11,
- removed "gettextize --copy --force" from %build (now isn't neccessary).

Revision 1.45  2001/03/17 09:56:51  kloczek
- updated to 1.4.10.

Revision 1.44  2001/02/16 22:49:49  areq
- 1.4.9

Revision 1.43  2001/01/30 10:13:51  misiek
1.4.8. stb

Revision 1.42  2001/01/15 20:43:36  misiek
1.4.7

Revision 1.41  2001/01/07 10:08:01  misiek
1.4.6 version

Revision 1.40  2000/12/28 23:16:32  areq
- updated to 1.4.5

Revision 1.39  2000/11/30 16:47:25  areq
- updated to 1.4.4.

Revision 1.38  2000/11/24 22:44:25  kloczek
- updated to 1.4.3.

Revision 1.37  2000/11/19 06:34:37  kloczek
- updated to 1.4.2.

Revision 1.36  2000/11/16 01:14:37  kloczek
- updated to 1.4.1.

Revision 1.35  2000/09/27 14:28:54  kloczek
- release 2: use new rpm automation.

Revision 1.34  2000/09/17 18:28:40  kloczek
- adapterized.

Revision 1.33  2000/09/17 15:42:07  zagrodzki
- updated to 1.3.3

Revision 1.32  2000/09/12 19:58:35  kloczek
- updated to 1.3.2,
- added aclocal macros to devel.

Revision 1.31  2000/08/20 21:17:18  kloczek
- updated to 1.3.1.

Revision 1.30  2000/08/13 19:53:52  alchemyx
- upgraded to 1.2.7

Revision 1.29  2000/07/31 10:13:36  kloczek
- updated to 1.2.6.

Revision 1.28  2000/07/18 12:53:24  kloczek
- updated to 1.2.5.

Revision 1.27  2000/07/17 01:52:43  kloczek
- updated to 1.2.4.

Revision 1.26  2000/07/06 16:06:55  mis
- run ldconfig in %post/%postun

Revision 1.25  2000/06/29 13:09:51  zagrodzki
- release 2

Revision 1.24  2000/06/29 12:54:29  zagrodzki
- Requires: iconv

Revision 1.23  2000/06/28 04:03:57  kloczek
- updated to 1.2.3.
